Eli : Memcached, MySQL, Highcharts

Solve svn : Working copy is too old (format 10, created by Subversion 1.6)

Working copy is too old (format 10, created by Subversion 1.6) or (format 9, created by Subversion 1.5)

This message show up if your are trying to use Subversion 1.7 client with a Subversion 1.6 or Subversion 1.5 working copy.

Even if older clients and servers interoperate transparently with 1.7 servers and clients, when a working copy is upgraded to Subversion 1.7 new format, Subversion 1.6 and client can no longer be used on it.

You have two solution to solve this error :

  • Keep Subversion 1.7 client and upgrade the working copy to 1.7
  • Uninstall Subversion 1.7 client and downgrade working copy to 1.6 or 1.5

Upgrade to Subversion 1.7

Before upgrading to 1.7, a 1.6 client must be used to run svn cleanup on all working copies that require cleanup. Subversion 1.7 cannot upgrade corrupt 1.6 working copies.

Upgrade with Tortoise

Right-click on the working copy Folder, then click on "SVN Upgrade working copy" Upgrade_to_Subversion_1.7_with_Tortoise_1.png
Click on "Upgrade the working copy" on the next step Upgrade_to_Subversion_1.7_with_Tortoise_2.png This may take a while, but your working copy will be in Subversion 1.7 format.

Upgrade with command line client.

Simply use the new Subversion 1.7 command

svn upgrade

And your working copy will be in 1.7 format.

Downgrade the working copy

Use this guide to downgrade a Subversion working copy.
Remember that you can't downgrade a Subversion 1.7 Working Copy

Related Posts





comments powered by Disqus

You may also be interested in